diff -ruN fftw-3.3.5/Makefile.am fftw-3.3.5-android/Makefile.am
--- fftw-3.3.5/Makefile.am	2016-07-31 04:21:09.000000000 +0900
+++ fftw-3.3.5-android/Makefile.am	2016-10-21 11:30:34.336453256 +0900
@@ -131,10 +131,9 @@
 
 if QUAD
 # cannot use -no-undefined since dependent on libquadmath
-libfftw3@PREC_SUFFIX@_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@ $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
+libfftw3@PREC_SUFFIX@_la_LDFLAGS = -avoid-version $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
 else
-libfftw3@PREC_SUFFIX@_la_LDFLAGS = -no-undefined -version-info	\
-@SHARED_VERSION_INFO@  $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
+libfftw3@PREC_SUFFIX@_la_LDFLAGS = -no-undefined -avoid-version	$(ENVIRONMENT_LIBFFTW3_LDFLAGS)
 endif
 
 fftw3@PREC_SUFFIX@.pc: fftw.pc
diff -ruN fftw-3.3.5/Makefile.in fftw-3.3.5-android/Makefile.in
--- fftw-3.3.5/Makefile.in	2016-07-31 05:34:51.000000000 +0900
+++ fftw-3.3.5-android/Makefile.in	2016-10-21 11:31:22.766463490 +0900
@@ -520,12 +520,11 @@
         $(GENERIC_SIMD128_LIBS) $(GENERIC_SIMD256_LIBS) \
 	$(COMBINED_THREADLIBS)
 
-@QUAD_FALSE@libfftw3@PREC_SUFFIX@_la_LDFLAGS = -no-undefined -version-info	\
-@QUAD_FALSE@@SHARED_VERSION_INFO@  $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
+@QUAD_FALSE@libfftw3@PREC_SUFFIX@_la_LDFLAGS = -no-undefined -avoid-version $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
 
 
 # cannot use -no-undefined since dependent on libquadmath
-@QUAD_TRUE@libfftw3@PREC_SUFFIX@_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@ $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
+@QUAD_TRUE@libfftw3@PREC_SUFFIX@_la_LDFLAGS = -avoid-version $(ENVIRONMENT_LIBFFTW3_LDFLAGS)
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = fftw3@PREC_SUFFIX@.pc
 WISDOM_DIR = /etc/fftw
diff -ruN fftw-3.3.5/mpi/Makefile.am fftw-3.3.5-android/mpi/Makefile.am
--- fftw-3.3.5/mpi/Makefile.am	2016-07-31 04:21:09.000000000 +0900
+++ fftw-3.3.5-android/mpi/Makefile.am	2016-10-21 11:29:24.385994113 +0900
@@ -23,7 +23,7 @@
 
 libfftw3@PREC_SUFFIX@_mpi_la_SOURCES = $(SRC) $(TRANSPOSE_SRC) $(DFT_SRC) $(RDFT_SRC) $(RDFT2_SRC)
 
-libfftw3@PREC_SUFFIX@_mpi_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_mpi_la_LDFLAGS = -avoid-version
 libfftw3@PREC_SUFFIX@_mpi_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la @MPILIBS@
 
 if THREADS
diff -ruN fftw-3.3.5/mpi/Makefile.in fftw-3.3.5-android/mpi/Makefile.in
--- fftw-3.3.5/mpi/Makefile.in	2016-07-31 05:34:52.000000000 +0900
+++ fftw-3.3.5-android/mpi/Makefile.in	2016-10-21 11:29:24.386994134 +0900
@@ -402,7 +402,7 @@
 RDFT2_SRC = rdft2-serial.c rdft2-rank-geq2.c rdft2-rank-geq2-transposed.c rdft2-problem.c rdft2-solve.c mpi-rdft2.h
 SRC = any-true.c api.c block.c choose-radix.c conf.c dtensor.c fftw3-mpi.h ifftw-mpi.h rearrange.c wisdom-api.c f03-wrap.c
 libfftw3@PREC_SUFFIX@_mpi_la_SOURCES = $(SRC) $(TRANSPOSE_SRC) $(DFT_SRC) $(RDFT_SRC) $(RDFT2_SRC)
-libfftw3@PREC_SUFFIX@_mpi_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_mpi_la_LDFLAGS = -avoid-version
 libfftw3@PREC_SUFFIX@_mpi_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la @MPILIBS@
 @OPENMP_TRUE@@THREADS_FALSE@mpi_bench_CFLAGS = $(OPENMP_CFLAGS)
 @THREADS_TRUE@mpi_bench_CFLAGS = $(PTHREAD_CFLAGS)
diff -ruN fftw-3.3.5/threads/Makefile.am fftw-3.3.5-android/threads/Makefile.am
--- fftw-3.3.5/threads/Makefile.am	2016-07-31 04:21:09.000000000 +0900
+++ fftw-3.3.5-android/threads/Makefile.am	2016-10-21 11:29:24.386994134 +0900
@@ -25,7 +25,7 @@
 threads.h dft-vrank-geq1.c ct.c rdft-vrank-geq1.c hc2hc.c		\
 vrank-geq1-rdft2.c f77api.c f77funcs.h
 libfftw3@PREC_SUFFIX@_threads_la_CFLAGS = $(AM_CFLAGS) $(PTHREAD_CFLAGS)
-libfftw3@PREC_SUFFIX@_threads_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_threads_la_LDFLAGS = -avoid-version
 if !COMBINED_THREADS
 libfftw3@PREC_SUFFIX@_threads_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la
 endif
@@ -34,7 +34,7 @@
 threads.h dft-vrank-geq1.c ct.c rdft-vrank-geq1.c hc2hc.c	\
 vrank-geq1-rdft2.c f77api.c f77funcs.h
 libfftw3@PREC_SUFFIX@_omp_la_CFLAGS = $(AM_CFLAGS) $(OPENMP_CFLAGS)
-libfftw3@PREC_SUFFIX@_omp_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_omp_la_LDFLAGS = -avoid-version
 if !COMBINED_THREADS
 libfftw3@PREC_SUFFIX@_omp_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la
 endif
diff -ruN fftw-3.3.5/threads/Makefile.in fftw-3.3.5-android/threads/Makefile.in
--- fftw-3.3.5/threads/Makefile.in	2016-07-31 05:34:53.000000000 +0900
+++ fftw-3.3.5-android/threads/Makefile.in	2016-10-21 11:29:24.387994155 +0900
@@ -388,14 +388,14 @@
 vrank-geq1-rdft2.c f77api.c f77funcs.h
 
 libfftw3@PREC_SUFFIX@_threads_la_CFLAGS = $(AM_CFLAGS) $(PTHREAD_CFLAGS)
-libfftw3@PREC_SUFFIX@_threads_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_threads_la_LDFLAGS = -avoid-version
 @COMBINED_THREADS_FALSE@libfftw3@PREC_SUFFIX@_threads_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la
 libfftw3@PREC_SUFFIX@_omp_la_SOURCES = api.c conf.c openmp.c	\
 threads.h dft-vrank-geq1.c ct.c rdft-vrank-geq1.c hc2hc.c	\
 vrank-geq1-rdft2.c f77api.c f77funcs.h
 
 libfftw3@PREC_SUFFIX@_omp_la_CFLAGS = $(AM_CFLAGS) $(OPENMP_CFLAGS)
-libfftw3@PREC_SUFFIX@_omp_la_LDFLAGS = -version-info @SHARED_VERSION_INFO@
+libfftw3@PREC_SUFFIX@_omp_la_LDFLAGS = -avoid-version
 @COMBINED_THREADS_FALSE@libfftw3@PREC_SUFFIX@_omp_la_LIBADD = ../libfftw3@PREC_SUFFIX@.la
 all: all-am
 
